Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStatusTipEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QStatusTipEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QStatusTipEvent

extends QEvent

The `QStatusTipEvent` class provides an event that is used to show messages in a status bar.

Status tips can be set on a widget using the QWidget::setStatusTip() function. They are shown in the status bar when the mouse cursor enters the widget. For example:

        MainWindow::MainWindow(QWidget *parent)
            : QMainWindow(parent)
        {
            QWidget *myWidget = new QWidget;
            myWidget->setStatusTip(tr("This is my widget."));

            setCentralWidget(myWidget);
            ...
        }

Status tips can also be set on actions using the QAction::setStatusTip() function:

        MainWindow::MainWindow(QWidget *parent)
            : QMainWindow(parent)
        {
            QMenu *fileMenu = menuBar()->addMenu(tr("File"));

            QAction *newAct = new QAction(tr("&New"), this);
            newAct->setStatusTip(tr("Create a new file."));
            fileMenu->addAction(newAct);
            ...
        }

Finally, status tips are supported for the item view classes through the Qt::StatusTipRole enum value.

See Also:
  `QStatusBar`, `QHelpEvent`, `QWhatsThisClickedEvent`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QStatusTipEvent(java.lang.String tip)` Constructs a status tip event with the text specified by `tip`.

Method Summary
`static QStatusTipEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStatusTipEvent instance pointed to by nativePointer
`java.lang.String` | `tip()` Returns the message to show in the status bar.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStatusTipEvent

    public QStatusTipEvent(java.lang.String tip)

  Constructs a status tip event with the text specified by `tip`.

  See Also:
    `tip`

Method Detail

### tip

    public final java.lang.String tip()

  Returns the message to show in the status bar.

  See Also:
    `QStatusBar::showMessage`

### fromNativePointer

    public static QStatusTipEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QStatusTipEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD